Bug 199185 - 'lvconvert' fails to remove device-mapper devices when "down converting" a cluster mirror
'lvconvert' fails to remove device-mapper devices when "down converting" a cl...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.0
All Linux
high Severity high
: ---
: ---
Assigned To: Alasdair Kergon
:
Depends On: 199826
Blocks: 198555
  Show dependency treegraph
 
Reported: 2006-07-17 16:34 EDT by Jonathan Earl Brassow
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version: lvm2-2.02.06-6.0.RHEL4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-26 14:05:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
verbose clvmd output from node running the lvconvert (147.40 KB, text/plain)
2006-07-17 16:35 EDT, Jonathan Earl Brassow
no flags Details
output from test run (27.43 KB, application/octet-stream)
2006-07-20 14:35 EDT, Jonathan Earl Brassow
no flags Details
patch that works around the problem (1.08 KB, patch)
2006-07-20 15:27 EDT, Jonathan Earl Brassow
no flags Details | Diff
Potential fix. Initial test looks good. (573 bytes, patch)
2006-07-20 16:48 EDT, Jonathan Earl Brassow
no flags Details | Diff

  None (edit)
Description Jonathan Earl Brassow 2006-07-17 16:34:23 EDT
This bug is being created to track $SUBJECT.  While 195392 was the original
issue that spawned investigation of this issue, I believe it requires its own entry.

Steps to reproduce:
1) create cluster mirror 'lvcreate -m1 -L 500M -n lv vg'
2) down convert mirror to linear 'lvconvert -m0 vg/lv'
3) convert successful, but device-mapper devices remain.

[root@tng1-1 ~]# dmsetup status
vg-lv: 0 1024000 linear
vg-lv_mimage_1: 0 1024000 linear
vg-lv_mimage_0: 0 1024000 linear
vg-lv_mlog: 0 8192 linear
Comment 1 Jonathan Earl Brassow 2006-07-17 16:35:39 EDT
Created attachment 132574 [details]
verbose clvmd output from node running the lvconvert
Comment 2 Jonathan Earl Brassow 2006-07-20 14:22:12 EDT
rerunning tests to get:
clvmd -d output on all machines + -vvvv output of lvconvert in action

Comment 3 Jonathan Earl Brassow 2006-07-20 14:35:53 EDT
Created attachment 132759 [details]
output from test run

includes:
 clvmd -d output from all machines in cluster
 lvconvert -vvvv from node running the command
 common output after the command was run (same on all machines)
Comment 4 Jonathan Earl Brassow 2006-07-20 15:27:16 EDT
Created attachment 132766 [details]
patch that works around the problem

as agk pointed out, doing an activate_lv before deactivating the orphans works
around/fixes the problem.
Comment 5 Jonathan Earl Brassow 2006-07-20 16:48:58 EDT
Created attachment 132772 [details]
Potential fix.  Initial test looks good.
Comment 6 Jonathan Earl Brassow 2006-07-20 16:50:44 EDT
Note:

attachment in comment #4 is for upstream and post-RHEL4U4

attachment in comment #5 is for RHEL4U4

Comment 7 Jonathan Earl Brassow 2006-07-22 14:24:52 EDT
Along with the attachments in comment #4 and comment #5, for this bug to be
completely resolved, bug 199826 must be resolved.  A fix for that bug will be in
place soon.
Comment 8 Corey Marthaler 2006-08-03 14:30:08 EDT
fix verified.

Note You need to log in before you can comment on or make changes to this bug.